Page MenuHomePhabricator

Read mode depicts panel on File page
Closed, ResolvedPublic

Description

There should be a "read" mode in the depicts widget, where one can switch back (on 'edit') and forth (on 'submit' or 'cancel') between editing and reading.

CSS fixes:

  • entire item should have a grey background
  • border should be white
  • should extend further to the right

Related Objects

Event Timeline

Cparle created this task.Feb 5 2019, 5:38 PM
Ramsey-WMF moved this task from Untriaged to Next up on the Multimedia board.Feb 5 2019, 9:33 PM
Cparle renamed this task from Read-state CSS fixes to Read-state CSS fixes for depicts panel on File page.Feb 7 2019, 11:48 AM

Change 489152 had a related patch set uploaded (by Matthias Mullie; owner: Matthias Mullie):
[mediawiki/extensions/WikibaseMediaInfo@master] Depicts read state

https://gerrit.wikimedia.org/r/489152

matthiasmullie renamed this task from Read-state CSS fixes for depicts panel on File page to Read mode depicts panel on File page.Feb 12 2019, 2:43 PM
matthiasmullie updated the task description. (Show Details)

Change 489152 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Depicts read state

https://gerrit.wikimedia.org/r/489152

Ramsey-WMF triaged this task as High priority.Feb 19 2019, 6:01 PM
Cparle closed this task as Resolved.Feb 21 2019, 11:11 AM